aboutsummaryrefslogtreecommitdiff
path: root/standalone
diff options
context:
space:
mode:
Diffstat (limited to 'standalone')
-rwxr-xr-xstandalone/linux/git-annex-shell25
-rwxr-xr-xstandalone/osx/git-annex.app/Contents/MacOS/git-annex-shell25
2 files changed, 50 insertions, 0 deletions
diff --git a/standalone/linux/git-annex-shell b/standalone/linux/git-annex-shell
new file mode 100755
index 000000000..a4b7ef119
--- /dev/null
+++ b/standalone/linux/git-annex-shell
@@ -0,0 +1,25 @@
+#!/bin/sh
+base="$(dirname "$0")"
+if [ ! -d "$base" ]; then
+ echo "** cannot find base directory (I seem to be $0)" >&2
+ exit 1
+fi
+if [ ! -e "$base/runshell" ]; then
+ echo "** cannot find $base/runshell" >&2
+ exit 1
+fi
+
+# Get absolute path to base, to avoid breakage when things change directories.
+orig="$(pwd)"
+cd "$base"
+base="$(pwd)"
+cd "$orig"
+
+# If this is a standalone app, set a variable that git-annex can use to
+# install itself.
+if [ -e "$base/bin/git-annex" ]; then
+ GIT_ANNEX_APP_BASE="$base"
+ export GIT_ANNEX_APP_BASE
+fi
+
+"$base/runshell" git-annex-shell "$@"
diff --git a/standalone/osx/git-annex.app/Contents/MacOS/git-annex-shell b/standalone/osx/git-annex.app/Contents/MacOS/git-annex-shell
new file mode 100755
index 000000000..1c705320e
--- /dev/null
+++ b/standalone/osx/git-annex.app/Contents/MacOS/git-annex-shell
@@ -0,0 +1,25 @@
+#!/bin/sh
+base="$(dirname "$0")"
+if [ ! -d "$base" ]; then
+ echo "** cannot find base directory (I seem to be $0)" >&2
+ exit 1
+fi
+if [ ! -e "$base/runshell" ]; then
+ echo "** cannot find $base/runshell" >&2
+ exit 1
+fi
+
+# Get absolute path to base, to avoid breakage when things change directories.
+orig="$(pwd)"
+cd "$base"
+base="$(pwd)"
+cd "$orig"
+
+# If this is a standalone app, set a variable that git-annex can use to
+# install itself.
+if [ -e "$base/git-annex" ]; then
+ GIT_ANNEX_APP_BASE="$base"
+ export GIT_ANNEX_APP_BASE
+fi
+
+"$base/runshell" git-annex-shell "$@"